  .bottom-tip {
	font-family: Open Sans;
	position: absolute;
	display: block;
	bottom: 30px;
	left: 50%;
	width: 600px;
	height: 30px;
	margin: 0 0 0 -300px;
	text-align: center;
	font-size: 24px;
	line-height: 24px;
	color: rgba(255,255,255,0.8);
	z-index: 2;	  
	text-shadow: 2px 2px 2px black; 
  }

  .vignette {
	  position: absolute;
	  display: block;
	  width: 100%;
	  height: 100%;
	  background: url("//stable.dynast.cloud/TemplateData/vignette.png") no-repeat center center fixed;
	  -webkit-background-size: cover;
	  -moz-background-size: cover;
	  -o-background-size: cover;
	  background-size: cover;
  }
  
  .background {
	  position: absolute;
	  display: block;
	  width: 100%;
	  height: 100%;
	  background: url("//stable.dynast.cloud/TemplateData/background.jpg") no-repeat center center fixed; 
	  -webkit-background-size: cover;
      -moz-background-size: cover;
      -o-background-size: cover;
      background-size: cover;
  }
  
  #preroll {
	  display: none;
  }
  
  #bottom-banner-block {
	display: none;
	z-index: 2;
	width: 320px;
	height: 100px;
	bottom: 5px;
	position: absolute;
	left: 50%;
	margin-left: -160px;
  }
  
  #f_rty {
	  display:none;
  }
  
  #warnbonus {
	display: none;
	z-index: 2;
	width: 250px;
	height: 250px;
  }

  #right-banner-block {
	display: none;
	z-index: 2;
	width: 300px;
	height: 250px;
	right: 0%;
	position: absolute;
	bottom: 50%;
	margin-bottom: -140px;
  }

 #gameadsbanner {
	display: none;
	z-index: 2;
	right: 0%;
	position: absolute;
	bottom: 50%;
	margin-bottom: -65px;
	margin-right: 10px;
  }
  
  #gameContainer {
	margin: 0;
	width: 100vw;
	height: 100vh;
  }
  canvas {
	width: 100vw;
	height: 100vh;
	display: block;
  }

  .logo {
	  display: block;
	  width: max-width: 100vw;
	  height: max-height: 70vh;
	  font-size: 60pt;
	  color: white;
	  object-fit: contain;
	  text-shadow: 4px 4px #000;
	  font-family: Helvetica;
	  z-index: 2;
  }

  .progress {
	  margin: 1.5em;
	  width: 500px;
	  height: 40px;
	  display: none;
	  background: url("//stable.dynast.cloud/TemplateData/preload_back.png");
	  z-index: 2;
  }
  .progress .full {
	  width: 488px;
	  height: 26px;
	  position: absolute;
	  margin-left: 6px;
	  margin-top: 7px;
	  transform-origin: top left;
	  display: block;
	  background: url("//stable.dynast.cloud/TemplateData/preload_image.png");
  }
  .progress .border {
	  width: 500px;
	  height: 40px;
	  display: block;
	  position: absolute;
	  transform-origin: top left;
	  background: url("//stable.dynast.cloud/TemplateData/preload_border.png");
  }	  

  #loader {
	position: absolute;
	left: 0;
	top: 0;
	width: 100vw;
	height: 100vh;
	display: flex;
	flex-direction: column;
	align-items: center;
	justify-content: center;
  }
  
  .tile-top-left {
	  position: absolute;
	  display: block;
	  left: 0%;
	  top: 0%;	  
  }
  
  .tile-top-right {
	  position: absolute;
	  display: block;
	  right: 0%;
	  top: 0%;	  
  }

    .tile-bottom-left {
	  position: absolute;
	  display: block;
	  left: 0%;
	  bottom: 0%;	  
  }
  
  .tile-bottom-right {
	  position: absolute;
	  display: block;
	  right: 0%;
	  bottom: 0%;	  
  }  
  
  .spinner,
  .spinner:after {
	border-radius: 50%;
	width: 5em;
	height: 5em;
  }
  .spinner {
	margin: 10px;
	font-size: 10px;
	position: relative;
	text-indent: -9999em;
	border-top: 1.1em solid rgba(255, 255, 255, 0.2);
	border-right: 1.1em solid rgba(255, 255, 255, 0.2);
	border-bottom: 1.1em solid rgba(255, 255, 255, 0.2);
	border-left: 1.1em solid #ffffff;
	transform: translateZ(0);
	animation: spinner-spin 1.1s infinite linear;
	z-index: 2;
  }
  
  @keyframes spinner-spin {
	0% {
	  transform: rotate(0deg);
	}
	100% {
	  transform: rotate(360deg);
	}
  }
  
    .window .window-ad {
        width: 100%;
        height: 280px;
        cursor: pointer;
    }  
	
    .window-darkbox {
        position: fixed;
        display: block;
        z-index: 3;
        left: 0px;
        top: 0px;
        width: 100%;
        height: 100%;
        overflow: auto;
        background-color: rgba(0,0,0,0.7);        
    }	
	
    .window {
        background-color: rgba(255,255,255,1);
        position: absolute;
        z-index: 3;
        width: 336px;
        height: 320px;
        left: 50%;
        top: 50%;
        margin-top: -168px;
        margin-left: -160px;
        box-shadow: 0 0 10px rgba(0,0,0,0.5);
    }	
    
	#respawn-layout {
		z-index: 100;
		display: none;
	}
  
    #respawn-window {
        display: block;
    }

    #respawn-button {
        text-align: center;
        line-height: 40px;
        cursor: pointer;
        user-select: none;
        height: 40px;
        width: 100%;
        font-family:  'Slabo 27px', serif;
        font-size: 24px;
        color: white;
        text-shadow: 1px 1px 2px black, 0 0 1em black;
		z-index: 2;
    }
    
    #respawn-button.active {
        background-color: #60a04b;
    }
    
    #respawn-button.inactive {
        background-color: #ec7777;
    }
  
